Jump to content

CADxp, vos souhaits

Que souhaitez vous voir de nouveau sur ce site?


214 topics in this forum

    • 5 replies
    • 1,9k views
    • 2 replies
    • 8,2k views
    • 14 replies
    • 10,9k views
    • 7 replies
    • 10,3k views
    • 1 reply
    • 1,4k views
  1. ** Météo du Québec **

    • 2 replies
    • 3,6k views
    • 3 replies
    • 1,4k views
    • 2 replies
    • 2,7k views
    • 0 replies
    • 1,5k views
  2. 3D PDF MAKER

    • 0 replies
    • 8,3k views
  3. A votre bon coeur!

    • 3 replies
    • 1,5k views
  4. Adresse CadXp II

    • 22 replies
    • 11k views
    • 1 reply
    • 362 views
    • 2 replies
    • 3,7k views
  5. aide mémoire

    • 2 replies
    • 1,3k views
  6. AIDE pour patrick

    • 22 replies
    • 6,5k views
    • 12 replies
    • 14,5k views
    • 3 replies
    • 3k views
  7. Anniversaire

    • 2 replies
    • 2,4k views
    • 1 reply
    • 1,5k views
  8. AutoCAD

    • 3 replies
    • 5,3k views
  9. AUTOCAD 2009

    • 6 replies
    • 5k views
  10. AutoCAD LT 2008

    • 2 replies
    • 4,1k views
  11. Automatismes

    • 8 replies
    • 13,9k views
  • Forum Statistics

    • Total Topics
      46 464
    • Total Posts
      280 220
  • Posts

    • Bonjour @drault Ce n'est pas la première fois que je lis PO dans vos messages sans savoir de quoi il est question. Ce serait bien d'expliciter ou d'utiliser le vocabulaire AutoCAD commun à tous. J'ai cru comprendre qu'il s'agissait de sélection d'un point pour tracer un contour, mais les lettres utilisées P et O me font douter. Amicalement
    • Perso après le contour ou la PO à la main, une erreur se produit :   sinon l'idée de DenisHen (qui marche): ;;; *********************************************************** ;;; Dessine un contour, puis place un texte incrémenté et la ;;; surface dans un multitexte Pour Hydro8 de CadXP.com ;;; *********************************************************** (defun c:Hydro8 (/ old_osmd PrefixIncrement ValIncrement Option Surf Pt_Ins MText) (princ "\nDéveloppé par Denis H.") ;;; Active le début de l'undo (setq doc (vla-get-activedocument (vlax-get-acad-object))) (vla-startundomark doc) (setq NbDec (getvar "luprec")) (setq PrefixIncrement (vlax-ldata-get "DenisH" "PrefixIncrement" "13B")) (if (= PrefixIncrement nil) (vlax-ldata-put "DenisH" "PrefixIncrement" "13B") ) ;_ Fin de if (setq ValIncrement (vlax-ldata-get "DenisH" "ValIncrement" 1)) (if (= ValIncrement nil) (vlax-ldata-put "DenisH" "ValIncrement" 1) ) ;_ Fin de if (initget "Préfix Nombre") (setq Option (getkword (strcat "\nOptions des textes [Préfix/Nombre] <" PrefixIncrement (itoa ValIncrement) "> : ") ) ;_ Fin de getkword ) ;_ Fin de setq (cond ((= Option "Préfix") (setq PrefixIncrement (getstring (strcat "\nSaisir le préfix de l'incrémentation <" PrefixIncrement "> : ")) ;_ Fin de getstring ) ;_ Fin de setq (vlax-ldata-put "DenisH" "PrefixIncrement" PrefixIncrement) ) ((= Option "Nombre") (setq ValIncrement (getint (strcat "\nSaisir le prochain numéro de l'incrémentation " (itoa ValIncrement) " : "))) ;_ Fin de getstring (vlax-ldata-put "DenisH" "ValIncrement" ValIncrement) ) ) ;_ Fin de cond (princ "\nSaisisser le contour :") (setq old_osmd (getvar "osmode")) (command "calque" "E" "MARTY-SURFACES_FRACTIONS" "co" "u" "255,0,255" "MARTY-SURFACES_FRACTIONS" "") (command "_.pline" (while (not (zerop (getvar "cmdactive"))) (command pause)) ;_ Fin de while ) ;_ Fin de command (setq Surf (getpropertyvalue (entlast) "Area")) (setq Pt_Ins (getpoint "Cliquer l'emplacement du texte :")) (setq MText (strcat PrefixIncrement (itoa ValIncrement) "\\P" (rtos Surf 2 NbDec))) (vlax-ldata-put "DenisH" "ValIncrement" (+ 1 ValIncrement)) (command "_.-MTEXT" Pt_Ins "R" 0 "J" "MC" "H" 1.75 Pt_Ins MText "") (getvar "osmode" old_osmd) (setvar "plinewid" 0) ;;; Fin de l'undo (vla-endundomark doc) (princ) ) ;_ Fin de defun   est intéressante mais je suis obligé de faire 2 segments pour 1 PO et pas 1 seul. Cela serait bien pratique pour ensuite exporter ces données mtext (auriez-vous un lisp en stock ?) en csv ou xsl
    • Bonjour,   Est-il possible de configurer le LISP ou créer une boucle afin qu'il demande dans quelle unité afficher la donnée ? Il se trouve que je travaille selon les sujets dans différentes unités et reprogrammer le LISP à chaque fois me semble compliqué.
    • TotalArea prend en compte l'aire de l'objet sélectionné (polyligne, région, hachure, mpolygon, ...). Le LISP ne sait pas ce qu'est "une cloison".
    • Ahhh, je comprends mieux, merci. Pour moi les deux lisp marchaient ensemble...
  • Sujets

×
×
  • Create New...